Package ru.bitel.bgbilling.modules.bill.server.bean

# Class AccountManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.bill.server.bean.AccountManager

public class AccountManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteBankAccount(int id)`
  `List<Account>`
  `getAccountList()`
  `List<IdTitle>`
  `getAccountTitleList(int organizationId, Boolean inUse)`
  `BankAccount`
  `getBankAccount(int id)`
  `List<BankAccount>`
  `getBankAccountList(int organizationId, Boolean inUse)`
  `BankAccount`
  `getDefaultBankAccount(int organizationId)`
  `static int`
  `getPaymentTypeId(Connection con, int moduleId, int accountId)`
  `void`
  `setDefaultBankAccount(int bankAccountId, int organizationId)`
  `int`
  `updateAccount(Account account)`
  `void`
  `updateBankAccount(BankAccount bankAccount)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccountManager

    public AccountManager(Connection con, int moduleId)

- ## Method Details

  - ### getAccountList

    public List<Account> getAccountList() throws SQLException
    Throws:
      `SQLException`

  - ### getBankAccountList

    public List<BankAccount> getBankAccountList(int organizationId, Boolean inUse) throws SQLException
    Throws:
      `SQLException`

  - ### getBankAccount

    public BankAccount getBankAccount(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateBankAccount

    public void updateBankAccount(BankAccount bankAccount)

  - ### updateAccount

    public int updateAccount(Account account)

  - ### setDefaultBankAccount

    public void setDefaultBankAccount(int bankAccountId, int organizationId) throws SQLException
    Throws:
      `SQLException`

  - ### getDefaultBankAccount

    public BankAccount getDefaultBankAccount(int organizationId)

  - ### deleteBankAccount

    public int deleteBankAccount(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getPaymentTypeId

    public static int getPaymentTypeId(Connection con, int moduleId, int accountId) throws SQLException
    Throws:
      `SQLException`

  - ### getAccountTitleList

    public List<IdTitle> getAccountTitleList(int organizationId, Boolean inUse) throws SQLException
    Throws:
      `SQLException`